class CreateLingochampCourses < ActiveRecord::Migration[5.0]
  def change
    create_table :lingochamp_courses do |t|
      t.string :course_id, limit: 24
      t.string :locale, limit: 20
      t.string :function, limit: 20
      t.integer :stage, limit: 1

      t.binary :data
      t.integer :order_number
      t.integer :status, limit: 1, default: 0, comment: "0:已发布 1:撤回"
      t.integer :published_at
      t.timestamps null: false

      t.index :course_id, unique: true
      t.index :locale
      t.index :function
      t.index :status
      t.index :updated_at
      t.index :stage
    end
  end
end
