class CreateLingochampActivities < ActiveRecord::Migration[5.0]
  def change
    create_table :lingochamp_activities do |t|
      t.string :course_id, limit: 24
      t.string :unit_id, limit: 24
      t.string :lesson_id, limit: 24
      t.string :activity_id, limit: 24
      t.string :display_type, limit: 25

      t.binary :data
      t.integer :order_number
      t.integer :status, limit: 1, default: 0, comment: "0:已发布 1:撤回"
      t.integer :published_at
      t.timestamps null: false

      t.index :course_id
      t.index :unit_id
      t.index :lesson_id
      t.index :activity_id, unique: true
      t.index :display_type
      t.index :status
      t.index :updated_at
    end
  end
end
