module GlobalSharedDb
  module Concerns
    module DataField
      extend ActiveSupport::Concern

      included do
        serialize :data, JSON if respond_to?(:serialize)
      end

      module ClassMethods

        def data_fields(*ks)
          ks ||= []

          mod = Module.new do
            ks.each do |k|
              _k = k.to_s

              # Read Method
              define_method(_k) do
                self.data && self.data[_k]
              end

              # Write Method
              define_method("#{_k}=") do |v|
                self.data = (self.data || {}).merge(_k => v)
              end
            end
          end

          include mod
        end

      end # ClassMethods

    end
  end
end