module GlobalSharedDb
  class BaseDb < ActiveRecord::Base

    STATUS_PUBLISHED = 0
    STATUS_REVOKED = 1

    self.abstract_class = true

    include Concerns::DataField
    include Concerns::AttachmentField

    validates :order_number, presence: true
    validates :status, presence: true

    scope :published, -> { where(status: STATUS_PUBLISHED) }
  end
end