module GlobalSharedDb
  class LingochampCourse < BaseDb

    FUNCTION_STANDARD_COURSE = 'course'
    FUNCTION_VIDEO_COURSE = 'video_course'

    include Globalize

    has_many(:units, primary_key: :course_id, foreign_key: :course_id, class_name: GlobalSharedDb::LingochampUnit.to_s)
    has_many(:lessons, primary_key: :course_id, foreign_key: :course_id, class_name: GlobalSharedDb::LingochampLesson.to_s)
    has_many(:activities, primary_key: :course_id, foreign_key: :course_id, class_name: GlobalSharedDb::LingochampActivity.to_s)

    data_fields :title, :cover, :description, :translations, :lessons_count, :units_count

    attachment_fields :cover

    validates :course_id, presence: true

    globalize :title, :description
  end
end