module GlobalSharedDb
  class LingochampLesson < BaseDb

    include Globalize

    belongs_to(:course, primary_key: :course_id, class_name: GlobalSharedDb::LingochampCourse.to_s, required: false)
    belongs_to(:unit, primary_key: :unit_id, class_name: GlobalSharedDb::LingochampUnit.to_s, required: false)
    has_many(:activities, primary_key: :lesson_id, foreign_key: :lesson_id, class_name: GlobalSharedDb::LingochampActivity.to_s)

    data_fields :title, :cover, :package, :video, :description, :stage, :publication_number, :translations, :lessons_count
    attachment_fields :cover, :package, :video

    validates :course_id, presence: true
    validates :unit_id, presence: true
    validates :lesson_id, presence: true

    globalize :title, :description
  end
end