module GlobalSharedDb
  class LingochampUnit < BaseDb

    include Globalize

    belongs_to(:course, primary_key: :course_id, class_name: GlobalSharedDb::LingochampCourse.to_s, required: false)
    has_many(:lessons, primary_key: :unit_id, foreign_key: :unit_id, class_name: GlobalSharedDb::LingochampLesson.to_s)
    has_many(:activities, primary_key: :unit_id, foreign_key: :unit_id, class_name: GlobalSharedDb::LingochampActivity.to_s)

    data_fields :title, :description, :translations, :lessons_count

    validates :course_id, presence: true
    validates :unit_id, presence: true

    globalize :title, :description
  end
end