module GlobalSharedDb
  module TaskHelper
    extend self

    MIGRATE_PATH = File.join(GlobalSharedDb.root, 'db/migrate')

    def connect_shared_db
      if defined?(Octopus)
        ActiveRecord::Base.octopus_establish_connection(
          GlobalSharedDb.db_config[GlobalSharedDb.env]
        )
      elsif defined?(DbCharmer)
        ActiveRecord::Base.db_magic(connection: GlobalSharedDb.db_config)
      else
        ActiveRecord::Base.establish_connection(GlobalSharedDb.db_config)
      end

      ActiveRecord::Tasks::DatabaseTasks.instance_eval do
        instance_variable_set(:@root, Pathname.new(GlobalSharedDb.root))
        instance_variable_set(:@env, GlobalSharedDb.env)
      end
    end

    def current_db
      GlobalSharedDb.db_config['database']
    end
  end
end
